org.keycloak.proxy

## Class SecurityInfo<T extends SecurityInfo>

- java.lang.Object
- - org.keycloak.proxy.SecurityInfo<T>

- All Implemented Interfaces:
    Cloneable

      public class SecurityInfo<T extends SecurityInfo>
      extends Object
      implements Cloneable

  Author:
    Stuart Douglas

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SecurityInfo.EmptyRoleSemantic` Equivalent to `ServletSecurity.EmptyRoleSemantic` but with an additional mode to require authentication but no role check.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityInfo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `addRoleAllowed(String role)`
    `T` | `addRolesAllowed(Collection<String> roles)`
    `T` | `addRolesAllowed(String... roles)`
    `T` | `clone()`
    `protected T` | `createInstance()`
    `SecurityInfo.EmptyRoleSemantic` | `getEmptyRoleSemantic()`
    `Set<String>` | `getRolesAllowed()`
    `T` | `setEmptyRoleSemantic(SecurityInfo.EmptyRoleSemantic emptyRoleSemantic)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecurityInfo

          public SecurityInfo()

  - ### Method Detail

    - #### getEmptyRoleSemantic

          public SecurityInfo.EmptyRoleSemantic getEmptyRoleSemantic()

    - #### setEmptyRoleSemantic

          public T setEmptyRoleSemantic(SecurityInfo.EmptyRoleSemantic emptyRoleSemantic)

    - #### addRoleAllowed

          public T addRoleAllowed(String role)

    - #### addRolesAllowed

          public T addRolesAllowed(String... roles)

    - #### addRolesAllowed

          public T addRolesAllowed(Collection<String> roles)

    - #### getRolesAllowed

          public Set<String> getRolesAllowed()

    - #### clone

          public T clone()

      Overrides:
        `clone` in class `Object`

    - #### createInstance

          protected T createInstance()

Copyright © 2015. All Rights Reserved.